import Store from '@/store'
import { $EventBus } from '../../utils/EventBus';
export default{
    getLocation() {
        let _this = this;
       return  uni.getLocation({
             type: 'gcj02', //返回可以用于uni.openLocation的经纬度
             success: function (res) {
                 console.log(res, 'res')
                 var params = {
                     lat: res.latitude,
                     lng: res.longitude
                 }
                 Store.commit('saveLocation',params);
                //  return params;
                 _this.getAddress(params);
             },
             fail: function (res) {
                 console.log(res,3333)
                 uni.showToast({
                     title: '获取地址失败，将导致部分功能不可用',
                     icon: 'none'
                 });
             }

         })
    },
    // 获取具体位置店铺/weixin/getShop
    getAddress(params) {
       return uni.$u.http.get('/weixin/getShop',{
           params
       }).then((res)=>{
           if(res.data.code==200){
               console.log(res.data.data,12345678)
               Store.commit('saveShopInfo', res.data.data);
               if (res.data.data.length){
                   $EventBus.$emit('getMenuList', res.data.data[0])
               }
               
           }
         return res;
       }).catch(err=>{
           return err;
       });
    },
    // 通过地址选择店铺xxxx
    // getAddress(params) {
    //     return uni.$u.http.get('/weixin/getShop', {
    //         params
    //     }).then((res) => {
    //         if (res.data.code == 200) {
    //             console.log(res.data.data, 12345678)
    //             Store.commit('saveShopInfo', res.data.data);
    //         }
    //         return res;
    //     }).catch(err => {
    //         return err;
    //     });
    // },
    uniLogin(res,orderId) {
            uni.login({
                provider: 'weixin',
                success: function (data) {
                    //   传给后台接口所需登录数据
                    uni.$u.http.post('/weixin/login', {
                            code: data.code,
                            source: 3, //默认是3，扫码进来是2
                            iv: res.iv,
                            encryptedData: res.encryptedData
                        }).then((response) => {
                        if (response.statusCode == 200 && response.data && response.data.code==200) {
                            uni.setStorage({key:'Authorization',data:response.data.token});
                            Store.commit('setAuthorization', response.data.token);
                            uni.showToast({
                                title:'登录成功',
                                success() {
                                    setTimeout(()=>{
                                        // 如果扫码进来的带有orderId则授权成功之后跳入结算页面
                                        if (orderId) {
                                            uni.navigateTo({
                                                url: '/menuSubPackage/pages/settlement/settlement?orderId=' + orderId
                                            })
                                        }
                                    },1500)
                                }
                            });
                        }
                        
                    }).catch((err) => {
                        uni.showToast({
                            title: err.msg
                        });
                    })
                }
            })
        },
        // 手机号授权登录
        getPhoneNumber(res,orderId) {
            console.log(res,'还是手机号参数吗')
           uni.setStorage({
               key: 'userPhoneInfo',
               data: res
           })
           Store.commit("setUserPhoneInfo", res);
           this.uniLogin(res.detail,orderId);
        },
        async uniGetUserInfo(e) {
                uni.getUserProfile({ //授权后可以通过uni.getUserProfile得到用户信息
                    lang: "zh_CN",
                    desc: '用于完善用户信息',
                    success: res => {
                        uni.setStorage({key:'userInfo', data:res})
                        Store.commit("setUserInfo",res)
                        // this.uniLogin(res);
                    }
                })
            }
}